Subject: Re: bug#72616: 30.0.60; M-x apropos-library eglot fails

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 Aug 2024 16:41:19 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 14 Aug 2024 08:47:40 -0400
> 
> >> This doesn't look right: the meaning of `define-symbol-props` in
> >> `load-history` should be defined in a more modular way, near
> >> `define-symbol-prop` rather than by hardcoding something in
> >> `apropos.el`.
> >
> > Is it better to leave us where we are now: that apropos-library
> > signals an error instead of displaying the information about the
> > library?
> 
> In the mean time we could just sanitize the data we use heuristically,
> as in the patch below.

Thanks, will install soon unless someone has a better suggestion.

> > Patches are welcome, but maybe we should start with someone explaining
> > what are those define-symbol-props elements in load-history.  They are
> > currently completely undocumented AFAICT, and so anyone but the
> > person(s) who added that to Emacs will have hard time coming up with
> > changes such as you describe.  (Apologies if this is already
> > documented and I just missed it.)
> 
> Indeed, we currently don't have a good way to document the new kinds of
> elements that can occur in `load-history` and the new ones we do have
> (e.g. `cl-defmethod`, `define-type`, ...) are currently undocumented.

cl-defmethod and define-type _are_ documented, AFAICT.  See the
documentation of load-history.